aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/install_dependencides.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/install_dependencides.sh')
-rwxr-xr-xtools/install_dependencides.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/install_dependencides.sh b/tools/install_dependencides.sh
new file mode 100755
index 0000000000..f262117660
--- /dev/null
+++ b/tools/install_dependencides.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+if command -v lsb_release > /dev/null ; then
+ case $(lsb_release -i -s) in
+ Ubuntu)
+ sudo apt-get install \
+ build-essential \
+ libfreetype6-dev \
+ libfontconfig-dev \
+ libpng12-dev \
+ libgif-dev \
+ libqt4-dev \
+ clang
+ if [ $(lsb_release -r -s) = '14.04' ] ; then
+ sudo apt-get install \
+ ninja-build
+ fi
+ exit
+ ;;
+ esac
+fi
+
+echo 'unknown system'
+exit 1
+